** Compiler Personality for g++ 2.96

* substitute headers

* gcc include directories, obtained with 'g++ -c -v test.cpp'

* implicit macros, obtained with 'g++ -E -dM test.cpp'

* for some installations of g++ these implicit macros may not be included in 'g++ -E -dM test.cpp' output
-sd "__cplusplus"
-sd "__STDC__"
-sd "__STRICT_ANSI__"
-sd "_GNU_SOURCE"

* compiler implicit types
-it "size_t=unsigned int"
-it "ptrdiff_t=int"

* parsing extensions
-sdep+
-ptp-
-dpft+
-ifn-

* extension keywords
-sd "__attribute__=_ignore_paren"
-sd "__extension__="
-sd "__null=0"
-sd "__inline__=inline"
-sd "__restrict="
-sd "__asm__=_ignore_paren"
-sd "asm=_ignore_paren"
-sd "__signed__=signed"
-sd "__const=const"
-sd "__PRETTY_FUNCTION__=_PRL_STRINGIFY(__PRETTY_FUNCTION__)"

* workarounds
* namespace std handling
-sd PRL_01
-sd "std="
-sd "using=_ignore_semi"

* array with non-const literal as dimension
-sd PRL_02

* long long
-sd PRL_03
